Skip to main content
POST
/
intents
/
{id}
/
build
Build an unsigned transaction
curl --request POST \
  --url https://api.cherp.dev/v1/intents/{id}/build \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fulfiller": "<string>"
}
'
{
  "intent": {
    "id": "pi_abc123def456ghij",
    "chain": "solana:5eykt4UsFv8P8NJdTREpY1vzqKq2Kvdp",
    "token": "USDC",
    "amount": "10.50",
    "requestor": "<string>",
    "direction": "request",
    "state": "created",
    "reference": "<string>",
    "expiresAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "livemode": true,
    "idempotencyKey": "<string>",
    "tokenAddress": "<string>",
    "amountBaseUnits": "<string>",
    "fulfiller": "<string>",
    "retryRequired": true,
    "pendingAtExpiry": true,
    "txSignature": "<string>",
    "detectedAt": "2023-11-07T05:31:56Z",
    "ataRentLamports": 123,
    "ttlSeconds": 86400,
    "confirmedAt": "2023-11-07T05:31:56Z",
    "finalizedAt": "2023-11-07T05:31:56Z",
    "metadata": {},
    "refundedBy": "<string>",
    "refundOf": "<string>"
  },
  "transaction": {
    "blob": "<string>",
    "format": "solana_v0_message",
    "ataRentLamports": 123,
    "estimatedFeeLamports": 123,
    "estimatedFeeUsdc": "<string>",
    "estimatedFeeEth": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key. Use pk_live_* for production or pk_test_* for test mode.

Path Parameters

id
string
required

The Payment Intent ID

Body

application/json
fulfiller
string

Wallet address of the fulfiller. Required if not already on the Intent.

Response

Unsigned transaction

intent
object
transaction
object